Subject: [Sipping] automatic answer

From: 황진경 <[email-masked]>
Date: Sat, 9 Oct 2004 12:01:58 +0900

Hi, 

Is there any I-D regarding params for SIP phone to answer automatically ? (for answering machine functionality)

I would like to know when the call arrives a phone, by which param/header value the phone answers without ringing.

Any reponse would be appreciated.

Jinkyung Hwang
KT

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Dean Willis <[email-masked]>
Date: Thu, 28 Oct 2004 13:14:46 -0500

황진경 (Jinkyung Hwang) wrote:

> Hi,
>  
> Is there any I-D regarding params for SIP phone to answer 
> automatically ? (for answering machine functionality)
>  
> I would like to know when the call arrives a phone, by which 
> param/header value the phone answers without ringing.
>  
>  

This generally isn't something that is signaled to the answering 
machine, it's just something the answering machine does because it KNOWS 
it's an answering machine.

Remember, SIP isn't about network control of edge devices. Rather, it is 
about how a bunch of edge devices can find and engage each other in an 
appropriate  and useful manner.

The routing infrastructure and the calling party generally don't know 
that a specific device is an answering machine. They know that it's a 
possible endpoint, and they MAY know something about previous routing 
attempts or decisions made elsewhere in the network. Consequently, 
having them insert some sort of special parameter to make the device 
"act like an answering machine" is probably inappropriate.

For example, I sometimes use an Asterisk box to provide voice-mail 
services for my SIP phone. No special paramters or singaling are sent 
from my proxy to the Asterisk box to invoke it. Instead, it REGISTERs to 
my AOR just like all my other SIP endpoints. But rather than answering 
immediately on receiving a 200 OK, it is configured to wait ten seconds. 
Consequently, if I answer at one of my SIP phones in a timely fashion, 
the Asterisk VM is never connected, but if I don't answer, it picks up 
the call.

That being said, they are two places that useful information might be 
conveyed.

If the asnwering machine is being reached as a result of a call 
forwarding action performed by a proxy (perhaps as a result of a CPL 
script), then the URI for the answering machine can be constructed and 
configured into the forwarding proxy to convey meaningful information, 
which MIGHT include device-specific parameters. This approach is 
dicsussed in Cullen Jenning's draft,  draft-jennings-sip-voicemail-uri-03.

Another possibility would be for the call-forwarding action to be 
presented in the request delivered to the answering machine in the 
format specified by the history-info document that I announced a 
working-group last call on earlier today. While this may be useful for 
certain PSTN-interaction cases, I personally find it an unattractive 
approach for implementing general-purpose voice mail solutions of the 
kind I described above.

--
Dean

---

From: "David" <[email-masked]>
Date: Sun, 5 Dec 2004 09:27:12 +0200

Hi Dean.

While I totally agree that the network should not control the edges,
however, I would contend that there is a difference between controlling and
informing. I do not see the harm in a network providing extra services to
the edges in the form of additional information regarding the request about
to be made. Whether in the case of voice mail or spam, I think that if the
network has some info that it wishes to share it should do so and allow the
edge to decide what to do with this information. Thus, in this particular
case the network does not have to KNOW that the edge is an answering
machine, rather it could say "By the way, if you are an answering machine
...". 

David Schwartz 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Dean Willis
> Sent: Thursday, October 28, 2004 8:15 PM
> To: ???
> Cc: [email-masked]
> Subject: Re: [Sipping] automatic answer
> 
> This generally isn't something that is signaled to the 
> answering machine, it's just something the answering machine 
> does because it KNOWS it's an answering machine.
> 
> Remember, SIP isn't about network control of edge devices. 
> Rather, it is about how a bunch of edge devices can find and 
> engage each other in an appropriate  and useful manner.
> 
> The routing infrastructure and the calling party generally 
> don't know that a specific device is an answering machine. 
> They know that it's a possible endpoint, and they MAY know 
> something about previous routing attempts or decisions made 
> elsewhere in the network. Consequently, having them insert 
> some sort of special parameter to make the device "act like 
> an answering machine" is probably inappropriate.
> 
> For example, I sometimes use an Asterisk box to provide 
> voice-mail services for my SIP phone. No special paramters or 
> singaling are sent from my proxy to the Asterisk box to 
> invoke it. Instead, it REGISTERs to my AOR just like all my 
> other SIP endpoints. But rather than answering immediately on 
> receiving a 200 OK, it is configured to wait ten seconds. 
> Consequently, if I answer at one of my SIP phones in a timely 
> fashion, the Asterisk VM is never connected, but if I don't 
> answer, it picks up the call.
> 
> 
> That being said, they are two places that useful information 
> might be conveyed.
> 
> If the asnwering machine is being reached as a result of a 
> call forwarding action performed by a proxy (perhaps as a 
> result of a CPL script), then the URI for the answering 
> machine can be constructed and configured into the forwarding 
> proxy to convey meaningful information, which MIGHT include 
> device-specific parameters. This approach is dicsussed in 
> Cullen Jenning's draft,  draft-jennings-sip-voicemail-uri-03.
> 
> Another possibility would be for the call-forwarding action 
> to be presented in the request delivered to the answering 
> machine in the format specified by the history-info document 
> that I announced a working-group last call on earlier today. 
> While this may be useful for certain PSTN-interaction cases, 
> I personally find it an unattractive approach for 
> implementing general-purpose voice mail solutions of the kind 
> I described above.
> 
> --
> Dean
> 
> 
> 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 
> ---
> Incoming mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.784 / Virus Database: 530 - Release Date: 10/27/2004
>  
> 

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.784 / Virus Database: 530 - Release Date: 10/27/2004